#include<iostream>
#include<cmath>

using namespace std;

int main(){

int n, k, x[100], karta, i;
int *niz;

cin>>n>>k;
niz = malloc(n*sizeof(int));
for(i = 0; i<n; i++){
    //cin>>x[i];
    cin >> niz[i];
}

for(i = 0; i<n; i++){
    if(niz[i] == k){
        if(i == n-1){
            karta = niz[0];
        }else{
            karta = niz[i+1];
        }
    }
}
cout<<karta;









return 0;

}